# $Revision: 1.4 $, $Date: 2009/06/26 09:29:12 $

# TODO:
#	- use system-wide lua

%define		snap	070804
Summary:	Blobby Volley 2 game
Summary(pl.UTF-8):	Gra Blobby Volley 2
Name:		blobby2
Version:	0.61
Release:	1
License:	GPL v2
Group:		X11/Applications/Games
Source0:	%{name}-%{snap}.tar.bz2
# Source0-md5:	fffe00422e14879fe73db491ae782649
Patch0:		%{name}-gcc4.patch
URL:		http://blobby.redio.de/content/en/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	physfs-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blobby Volley 2 game.

%description -l pl.UTF-8
Gra Blobby Volley 2.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
sed -i -e "s:HAVE_LIBGL = @HAVE_LIBGL@:HAVE_LIBGL = 0:" src/Makefile.in
sed -i -e "s:-lSDL:-lSDL -lGL:" configure
%configure \
	%{?debug:--enable-debug}
%{__make} \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc AUTHORS ChangeLog NEWS README TODO doc/*.txt
%{_datadir}/blobby

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blobby2.spec,v $
Revision 1.4  2009/06/26 09:29:12  gotar
- added gcc4 patch

Revision 1.3  2007/08/25 10:18:56  qboosh
- BR: sed 4.0

Revision 1.2  2007/08/05 10:27:39  gotar
- use SDL renreder instead of OpenGL due to RenderManagerGL2D segfaults,
- updated md5

Revision 1.1  2007/08/05 09:45:55  gotar
- initlal PLD release
